For the complete documentation index, see llms.txt. This page is also available as Markdown.

Export Warehouse stock history

Download spreadsheet of stock logs filtered by warehouse and transaction types in a defined time period for your store. When no warehouse or transaction type is set you will get logs for all transaction types for all your warehouses.

Required permissions: WAREHOUSE, WAREHOUSE_HISTORY

post
/tenants/{tenantUid}/stores/{storeUid}/warehouses/logs/export
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

Body
fromDateTimestring · date-timeRequired

GTE [>=]

toDateTimestring · date-timeRequired

LTE [=<]

warehouseUidsstring[]Optional
Responses
200

SpreadSheet Response

application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
string · binaryOptional
post/tenants/{tenantUid}/stores/{storeUid}/warehouses/logs/export
POST /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/logs/export HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 139

{
  "fromDateTime": "2026-01-01T00:00:00.000Z",
  "toDateTime": "2026-01-01T00:00:00.000Z",
  "warehouseUids": [
    "text"
  ],
  "transactionTypes": [
    "RECEIVE"
  ]
}
binary

Last updated

Was this helpful?